You are not logged in.

#1 2005-05-27 04:31:07

aikidoist72
Member
From: Australia
Registered: 2005-04-15
Posts: 63

pacman -Syu error

Hi

I am not sure who to contact or how to help with this, needless to say, that I am willing to do what I can.

I have a fresh install of arch and have just finished syncing my local mirror (straight from wiki) and after the command

Pacman -Syu

I get this error

Proceed with upgrade? [Y/n]

checking package integrity...
error: archive gaim-1.3.0-1.pkg.tar.gz is corrupted
error: archive jfsutils-1.1.8-1.pkg.tar.gz is corrupted
error: archive mozilla-firefox-1.0.4-1.pkg.tar.gz is corrupted

Also I deleted the above and re-issues the sync command, recieved replacement files but still the same result.

Cheers


Sitting quietly
Doing nothing
The grass grows
And the flowers bloom
All by themselves

Offline

#2 2005-05-27 09:23:45

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,835

Re: pacman -Syu error

I you're only using one mirror, then that's where the problem seems to be. Contact whoever runs it and let them know.

To fix your own system, add more mirrors.

Offline

#3 2005-05-27 11:17:32

Kern
Member
From: UK
Registered: 2005-02-09
Posts: 460

Re: pacman -Syu error

http://wiki2.archlinux.org/index.php/Pa … figuration

check
/etc/pacman.conf
/etc/pacman.d/current

maybe swap a few servers around, put a local-ish one at the top.

agree with tomk, let the guy who runs the mirror know too

Offline

#4 2005-05-28 23:30:35

aikidoist72
Member
From: Australia
Registered: 2005-04-15
Posts: 63

Re: pacman -Syu error

Thanks for your replies guys,

I should have been more specific tho.....  I have made my own local mirror from the wiki for pacman curent and extra files.   This is using rsync.   I have tried both your suggestions of trying different servers in the config files, but alas I keep geting an error for these three items.  I have repeatedly deleted these items and rsyncing the database,again.

It must be on my end as I have redownloaded straight from Arch repository, but the error remains.  How do I get around this?

Edit :- I tried this and

[09:35][root@jelb current]# pacman -U /data/mirror/current/mozilla-firefox-1.0.4-1.pkg.tar.gz
loading package data... done.
:: mozilla-firefox conflicts with nss-nspr. Remove nss-nspr? [Y/n] y
removing nss-nspr... done.
checking for file conflicts... done.
upgrading mozilla-firefox... done.
[09:36][root@jelb current]#         

Will try the rest and report the results


Sitting quietly
Doing nothing
The grass grows
And the flowers bloom
All by themselves

Offline

#5 2005-05-29 00:14:27

T-Dawg
Forum Fellow
From: Wilmington, NC
Registered: 2005-01-29
Posts: 2,734

Re: pacman -Syu error

did you add the correct path directly under [current] ?

Server = file:///data/mirror/current/

and

Server = file:///data/mirror/extra/

under [extra]

Offline

#6 2005-05-29 02:48:18

aikidoist72
Member
From: Australia
Registered: 2005-04-15
Posts: 63

Re: pacman -Syu error

Hi Penguin,

Yes they are.  I have however solved the problem at the moment.

I have mistakenly used

pacman -sfu instead of pacman -SFu and 'forced' an update instead of 'freshening'.  Amazingly the only error was a missing shared library (regarding ncurses of all things????) .  After a reboot, all is well - fingers crossed. I don't know how to checkthe integrity of my system , but I am sure if something comes up, I will be on the forums.....   :?

If you know a way to test my system, I would be glad to hear it!!

Cheers

Cheers


Sitting quietly
Doing nothing
The grass grows
And the flowers bloom
All by themselves

Offline

Board footer

Powered by FluxBB